Module javafx.graphics
Package javafx.scene.shape

## Class Mesh

- java.lang.Object
- - javafx.scene.shape.Mesh

- Direct Known Subclasses:
    `TriangleMesh`

      public abstract class Mesh
      extends Object

  Base class for representing a 3D geometric surface. Note that this is a conditional feature. See `ConditionalFeature.SCENE3D` for more information.
  Since:
    JavaFX 8.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Mesh()` | A constructor that is called by any `Mesh` implementation.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mesh

          protected Mesh()

      A constructor that is called by any `Mesh` implementation.